<template>
<div>
       <LoadingComp v-if="isLoading" class="w-100 text-center pt-16"/>
        <ArticleCard v-else :articles="data"/>


</div>
</template>
<script>
import { mapState } from 'vuex';
import ArticleCard from "../components/ArticleCard.vue"
import LoadingComp from "../UIComponents/LoadingComp.vue"
export default {
    components:{
        ArticleCard,
        LoadingComp
    },
    data(){
        return {

        }
    },
    computed:{
        ...mapState({
            isLoading : state => state.article.isLoading,
            data: state => state.article.data
        })
    },
    mounted(){
        this.$store.dispatch('get_article')
    }
}
</script>